<!-- generated by eMediaAdmin 2.1.03 -->
<html>
<head>
<title>BSD Today:
Using Postfix
</title>
<meta name=description content="BSD resources and information.">
<meta name=keywords content="bsd, freebsd, openbsd, netbsd, bsdi, bsd/os"> 
</head>

<body bgcolor="#FFFFFF" link="#9C0000" vlink="#CC3333" alink="#8a9ebc"
text="#000000" 
topmargin=1 leftmargin=1 rightmargin=1 marginwidth=1 marginheight=1>

<a name="top"></a>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr><td bgcolor="#9C0000" height="15" align=left nowrap colspan="2">
<font face="Arial,sans-serif,MS Sans Serif,Geneva,Helvetica" size="-2"
color="#FFFFFF"> 
&nbsp;&nbsp;
<span style="color:#FFFFFF">
<a href="/"><font color="#FFFFFF"><b>Front</b></font></a>
|
<a href="/News/"><font color="#FFFFFF"><b>News</b></font></a>
|
<a href="/Features/"><font color="#FFFFFF"><b>Features</b></font></a>
|
<a href="/Tutorials/"><font color="#FFFFFF"><b>Tutorials</b></font></a>
|
<a href="/resources/"><font color="#FFFFFF"><b>Resources</b></font></a>
|
<a href="/contribute/"><font color="#FFFFFF"><b>Contribute</b></font></a>
|
<a href="/contribute/"><font color="#FFFFFF"><b>Write for us</b></font></a>
</span></font></td></tr>
</table>

<table cellpadding="0" cellspacing="2" border="0" width="100%">
<tr>
<td>
<img src="bsdlogo.png" alt="BSD Today" border=0>
<br>
<b><font face="Arial,sans-serif,MS Sans Serif,Geneva,Helvetica" color="#486591">
Your Daily Source for <font color="#9C0000">BSD</font> News and Information
</font></b>
</td>
<td align="right">
<!-- 468x60 ad tag--> 
     <IFRAME WIDTH=468 HEIGHT=60 MARGINWIDTH=0 MARGINHEIGHT=0 HSPACE=0 VSPACE=0 FRAMEBORDER=0 SCROLLING=no BORDERCOLOR="#000000" SRC="http://netadsrv.iworld.com/html.ng/site=internetcom&PagePos=10&size=468x60&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE">
     <SCRIPT LANGUAGE="JavaScript1.1" SRC="http://netadsrv.iworld.com/js.ng/site=internetcom&PagePos=10&size=468x60&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE&Params.richmedia=yes"> 
     </SCRIPT>
     <NOSCRIPT>
     <A HREF="http://netadsrv.iworld.com/click.ng/site=internetcom&PagePos=10&size=468x60&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE&Params.richmedia=yes"> 
     <IMG SRC=http://netadsrv.iworld.com/image.ng/site=internetcom&PagePos=10&size=468x60&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE&Params.richmedia=yes"> 
     </A> 
     </NOSCRIPT> 
     </IFRAME> 
 <!-- /468x60 ad tag -->
</td>
</tr>
</table>

<table cellpadding="0" cellspacing="2" border="0" width="100%">
<tr>
<td valign="bottom" colspan="5">
<img src="black.gif" height="1" width="100%">
</td>
</tr>
<tr><td valign="top" width="125" nowrap>

<!-- 125x125 ad tag--> 
     <IFRAME WIDTH=125 HEIGHT=125 MARGINWIDTH=0 MARGINHEIGHT=0 HSPACE=0 VSPACE=0 FRAMEBORDER=0 SCROLLING=no BORDERCOLOR="#000000" SRC="http://netadsrv.iworld.com/html.ng/site=internetcom&PagePos=10&size=125x125&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE">
     <SCRIPT LANGUAGE="JavaScript1.1" SRC="http://netadsrv.iworld.com/js.ng/site=internetcom&PagePos=10&size=125x125&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE&Params.richmedia=yes"> 
     </SCRIPT>
     <NOSCRIPT>
     <A HREF="http://netadsrv.iworld.com/click.ng/site=internetcom&PagePos=10&size=125x125&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE&Params.richmedia=yes"> 
     <IMG SRC=http://netadsrv.iworld.com/image.ng/site=internetcom&PagePos=10&size=125x125&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE&Params.richmedia=yes"> 
     </A> 
     </NOSCRIPT> 
     </IFRAME> 
 <!-- /125x125 ad tag -->

<p>
<!-- --------INTERNET.COM TOOLBAR-------- -->
<a href="http://internet.com"><img border="0"
src="internet.com.sm.gif"></a>

<br>
<FONT face="arial, helvetica, geneva, sans-serif" SIZE="1">
<A HREF="http://www.internet.com/sections/news.html">Internet News</A><BR>
<A HREF="http://www.internet.com/sections/stocks.html">Internet Stocks/VC</A><BR>
<A HREF="http://www.internet.com/sections/it.html">Internet Technology</A><BR>
<A HREF="http://www.internet.com/sections/win.html">Windows Internet Tech.</A><BR>
<A HREF="http://www.internet.com/sections/linux.html">Linux/Open Source</A><BR>
<A HREF="http://www.internet.com/sections/webdev.html">Web Developer</A><BR>
<A HREF="http://www.internet.com/sections/marketing.html">ECommerce/Marketing</A><BR>
<A HREF="http://www.internet.com/sections/isp.html">ISP Resources</A><BR>
<A HREF="http://www.internet.com/sections/asp.html">ASP Resources</A><BR>
<A HREF="http://www.internet.com/sections/wireless.html">Wireless Internet</A><BR>
<A HREF="http://www.internet.com/sections/downloads.html">Downloads</A><BR>
<A HREF="http://www.internet.com/sections/resources.html">Internet Resources</A><BR>
<A HREF="http://www.internet.com/sections/lists.html">Internet Lists</A><BR>
<A HREF="http://www.internet.com/sections/international.html">International</A><BR>
<BR>
<A HREF="http://search.internet.com">Search internet.com</A><BR>
<A HREF="http://www.internet.com/mediakit/">Advertising Info</A><BR>
<A HREF="http://www.internet.com/corporate/">Corporate Info</A><BR>

<p>

<!-- =====INTERNET.COMMERCE===== -->
<a href="http://internet.com"><img border="0"
src="internetcomm.gif"></a>
<br>

<A HREF="http://www.internet.com/partners/index.html">Be a Commerce Partner</A><BR>
<A HREF="http://software.internet.com/">Software Store</A><BR>
<A HREF="http://adforce.imgis.com/?adlink|192|153955|1|12|ADFORCE">Computer Help</A><BR>
<A HREF="http://ru.domainbank.net/refer.cfm?refer=iw1000">Register Domains</A><BR>
<A HREF="http://jobs.internet.com/">Internet Jobs</A><BR>
<A HREF="http://www.mapquest.com/cgi-bin/ia_find?link=/b2b/b2b_homepage">Map Your Website</A><BR>
<A HREF="http://www.internet.com/postmaster.html">Rent E-mail Lists</a><BR>
<A HREF="http://www.fatbrain.com/home.html?from=YEJ244">Bookstore</a><BR>
<A HREF="http://www.newsbureau.com">Press Release dist.</A><BR>
<A HREF="http://www.allnetresearch.com/">Internet Research</A><BR>
<A HREF="http://www.internet.comvc.com/">Venture Capital</A><BR>
<A href="http://www.newslinx.com/4linxinfo.html">Web Publishing</A><BR>
<A HREF="http://www.planet-intra.com/">Build Your Intranet</A><BR>
<A HREF="http://www.exp.com/Affiliates?token=internet.com-u-c&cat_id=7">Ask an Expert</A><BR>
<A HREF="http://www.cyveillance.com/link/internet.asp">Get e-Biz Intell.</A><BR>
<A HREF="http://www.screamingmedia.net/alliance/internet.html">Content for Websites</A><BR>
<a href="http://promo.nexchange.com/1457.asp">Build Sticky eStores</a><br>
<a href="http://www.directcoupons.com/advertise.html">Advertise a Coupon</a><br>
<a href="http://www.epromos.com">Promotional Products</a><br>
<a href="http://links.verza.com/cgi-bin/mlic?eu=102743">Accept Credit Cards</a><br>
<a href="http://www.netzip.com/products/Info_Demon.html">Download Solutions</a><br>
<a href="http://www.dxstorm.com/dxsites2/dxcart/internet.mhtml?code=b20000519-ic1&id=1172">Shopping Cart</a><br>
<a href="http://buynow.jfax.com/internetcom/default.html ">fax & vmail for free</a><br>
<a href="http://www.telekomnet.com/">Hardware Store</a><br>
<a href="http://www.redgorilla.com/app/PartnerLanding?templateID=internetcom&partnerID=0015">PDA Time Tracking</a><br>
<a href="http://www.netsanity.com/cgi-bin/download.cgi?PID=INTE01">News to Your Desktop</a><br>
<a href="http://www.mondus.com">Small Biz Purchasing</a><br>
<A HREF="http://www.b2bexplorer.com/index_internet.html">B2B Directory/Search</A><br>
<A HREF="http://www.internet.workexchange.com/">Freelancers</A><br>
<a href="http://www.searchbutton.com/">Site Search Solutions</A><br>
<a href="https://affinity.qwest.com/RNT/">Hosting Services</A><br>
<a href="http://www.pagoo.com/asp/isp/linkto.asp?RefID=269&SubID=text">Get Calls Online</a><br>
<a href="http://www.compubank.com/index.cfm?affinity=502652">Business Banking</a><br>
<a href="http://www.freediskspace.com">Free Disk Space</a><br>
<a href="http://www.tophosts.com/">Search for a Web Host</a><br>
<a href="http://service.bfast.com/bfast/click?bfmid=25584225&siteid=28065058&bfpage=internet_com_yellow">Continuing Education</a><BR>
<a href="http://www.ejigsaw.com/internetcom/">IT Products and Svcs<BR></a>
<a href="http://www.everyone.net.?AG=internet-f-text">Offer Free Email</a><BR>
<a href="http://www.insightexpress.com/ix/enterAffiliate.asp?affiliateID=800&cp=12">Survey Your Web Users</a><BR>

<br>
</font>

</td>
<td width="1" background="black.gif">
<img src="black.gif" width="1" height="550">
</td>
<td width="6">
 &nbsp; &nbsp;
</td>
<td valign="top">

<p>


<!-- article -->

<font color=#CC3333 face=Arial,Helvetica,sans-serif size=5>
<b>
Using Postfix
</b>
</font><br>
<font color=#CC3333 face=Arial,Helvetica,sans-serif size=4>
A basic guide on configuring and installing the Postfix mail server.
</font><br>
<br>
<font color=#505050>By Alan P. Laudicina<br>
</font><br>
<h2>Introduction</h2>

Tired of the sendmail's cryptic configuration, or do you find yourself complaining
about its speed?  Well then, postfix could be the MTA for you.
The Postfix website defines postfix as a MTA which "attempts to provide an
alternative to the widely-used Sendmail program."  If it's speed and security
you're looking for, Postfix is a very nominal choice for a MTA.  According to the
project's web site, Postfix is up to three times faster than its closest competitor,
boasting the capability to send up to 1,000,000 <i>different</i> messages in a day.
<p>

The MTA uses multiple layers of defense to protect the
local system against intruders, as well as having the ability to run in a 
chroot jail.  Installing on most operation systems is a trivial procedure,
although in FreeBSD installation should be done differently to avoid the
overwriting of the binaries when a <tt>make world</tt> is done.  Another way to avoid
this is to use a mail wrapper. (For more information on mail wrappers read the
"<a href="Features274b.html#mailwrapper">Mail Wrappers</a>" heading under the Installation section.)
<p>

<h2>Configuration</h2>

All of the many configuration parameters can be found in the main.cf file,
located in the ./conf directory in the postfix source.  You need not change
every parameter, as they are set to sensible defaults.  Here are the details
on some of the more important parameters, which will affect the performance
of Postfix the most.  Please note that
if you change the main.cf file after installation, you must issue the
<tt>postfix reload</tt> command.  After installation, the main.cf file can be
found in the /etc/postfix directory.
<p>

<ul>
<li><b>queue_directory</b> - the location of the Postfix queue as well as the root dir
		  of the postfix daemons that run chrooted.  This field should
		  be left with the default /var/spool/postfix

<li><b>daemon_directory</b> - the location of the daemon programs such as smptd, pickup,
		   cleanup, etc.

<li><b>mail_owner</b>	 - the owner of Postfix's queue and most of the daemon
		   processes.  For this you must add a user to your machine,
		   this has to be a user that owns no other files or processes
		   (so using nobody here is a very bad idea for security
		   reasons).

<li><b>myorigin</b>	 - the origin is set to $myhostname by default, which defaults
		   to the local hostname of the machine.  This should not be
		   used unless you are running a very small site.  Most people
		   want to change myorigin to $mydomain which will default
		   to the parent domain of the machine name (i.e. if the
		   hostname is lame.unixpower.org and you are using $myhostname,
		   the origin will be lame.unixpower.org.  On the other hand if
		   you were using $mydomain, the origin will be unixpower.org.)

<li><b>inet_interfaces</b>	 - the inet_interfaces parameter defines which network
		   interface addresses that the stmp daemon will listen on.  By
		   default this is set to all, which will listen on any active
		   interface on the machine.  This will control the delivery
		   to users@<IP>.

<li><b>mydestination</b>	 - this parameter specifies the list of domains that the
		   machine considers <i>itself</i>. The default of
		   $myhostname and localhost.$mydomain should do here.  Don't
		   specify the virtual domains that are hosted on the machine
		   here!
		   
<li><b>mailbox_command</b>  - this parameter defines the external command to use instead
                   of local mailbox delivery.  It is a completely optional
                   parameter.  If you're interested in having procmail to do
                   your mail, this is where you set it.

<li><b>mynetworks</b>       - mynetworks specifies a certain list of network addresses
                   that are local to this machine.  The list is used to     
                   distinguish lusers from strangers.  The addresses go in
                   the format of X.X.X.0/X and can be separated by a comma.  By
                   default the list of all of the networks attached to the
                   machine is a complete class A network (X.0.0.0/8), a complete
		   class B network (X.X.0.0/16), a complete class C network
                   (X.X.X.0/24), and so on.  You can also specify a path of
                   a pattern file instead of listing the patterns here.
</ul>
<p>

<h2>Compilation</h2>

The compilation of Postfix is a very fast and easy task.  In BSD, the only thing
you will need to do is go to the main postfix directory and type <tt>make</tt>.  Compiling
Postfix is much faster on my machine then compiling sendmail, taking only a minute and
fifty seconds (on a Pentium II 300 with 160mb of RAM).  Sendmail takes approximately
a minute more than compiling Postfix on the same machine.

<p>

<a href="Features274b.html">Next Page</a>: Installation,
Mail Wrappers, Protecting your Maildrop directory, ssh INSTALL.sh and
Replacing sendmail forever.


<!-- insert thestory --> 

<p>


</td>
<td valign=top>

<table bgcolor="#9C0000" border="0" cellpadding="1" cellspacing="0">
<tr>
<td bgcolor="#9C0000" nowrap>
<table bgcolor="#FFFFFF">
<tr>
<td>
<center>
<font face="arial,sans-serif,helvetica,geneva" color="#486591">
<b>Weekly BSD News</b></font>
<br>
<font face="arial,sans-serif,helvetica,geneva">

<form action="http://e-newsletters.internet.com/cgi-bin/subscribe" method=POST>
<input type="hidden" name="List_Name" value="bsdtoday-text">
<input TYPE="text" name="email" size="15" value="your@email"
style="background:#9C0000;color:#FFFFFF;font-size:x-small;">
<br>
<input type="submit" name="Submit" value="subscribe!" style="color:#9C0000;font-size:x-small">
<input type=hidden name="redirect_ok" value="http://e-newsletters.internet.com/thankyou_new.html">
</form>
</font>
</center>
</td>
</tr>
<tr>
<td bgcolor="#FFFFFF" nowrap>
<font face="Verdana,Arial,Helvetica,sans-serif" size="1">

<A HREF="http://www.internet.com/sections/linux.html"><IMG
SRC="http://linuxtoday.com/pics/logo_osl_inetcom_wtux.png" WIDTH=117
HEIGHT=57 BORDER=0 ALT="The Linux Channel at internet.com" VSPACE=3></A><BR>
<A HREF="http://www.linuxplanet.com/">Linux Planet</A><br>
<A HREF="http://linuxcentral.com/">Linux Central</A><br>
<A HREF="http://www.linuxnewbie.org/">Linuxnewbie.org</A><br>
<A HREF="http://www.phpbuilder.com">PHPBuilder</A><br>
<A HREF="http://www.justlinux.com/">Just Linux</A><br>
<A HREF="http://www.linuxprogramming.com">Linux Programming</A><br>
<A HREF="http://www.linuxstart.com/">Linux Start</A><br>
<A HREF="http://www.linuxapps.com/">LinuxApps.com</A><br>
<A HREF="http://linuxtoday.com/">Linux Today</A><br>
<A HREF="http://eltoday.com/">Enterprise Linux Today</A><br>
<A HREF="http://www.alllinuxdevices.com">AllLinuxDevices</A><br>
<A HREF="http://apachetoday.com/">Apache Today</A><br>
<A HREF="http://jobs.linuxtoday.com/">Linux/Open Source Jobs</A><br>
<A HREF="http://www.internet.com/sections/linux.html">SITE DESCRIPTIONS</A><br>
</font>

</td>
</tr>
<tr>
<td bgcolor="#FFFFFF" nowrap>

<!-- 125x125 ad tag--> 
     <IFRAME WIDTH=125 HEIGHT=125 MARGINWIDTH=0 MARGINHEIGHT=0 HSPACE=0 VSPACE=0 FRAMEBORDER=0 SCROLLING=no BORDERCOLOR="#000000" SRC="http://netadsrv.iworld.com/html.ng/site=internetcom&PagePos=20&size=125x125&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE">
     <SCRIPT LANGUAGE="JavaScript1.1" SRC="http://netadsrv.iworld.com/js.ng/site=internetcom&PagePos=20&size=125x125&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE&Params.richmedia=yes"> 
     </SCRIPT>
     <NOSCRIPT>
     <A HREF="http://netadsrv.iworld.com/click.ng/site=internetcom&PagePos=20&size=125x125&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE&Params.richmedia=yes"> 
     <IMG SRC=http://netadsrv.iworld.com/image.ng/site=internetcom&PagePos=20&size=125x125&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE&Params.richmedia=yes"> 
     </A> 
     </NOSCRIPT> 
     </IFRAME> 
 <!-- /125x125 ad tag -->

</td>
</tr>
</table>
</td>
</tr>
</table>

</td>

</tr>
<tr>
<td valign="top" colspan="5">
<img src="black.gif" height="1" width="100%">
</td>
</tr>
</table>

<center>

<!-- 468x60 ad tag--> 
     <IFRAME WIDTH=468 HEIGHT=60 MARGINWIDTH=0 MARGINHEIGHT=0 HSPACE=0 VSPACE=0 FRAMEBORDER=0 SCROLLING=no BORDERCOLOR="#000000" SRC="http://netadsrv.iworld.com/html.ng/site=internetcom&PagePos=20&size=468x60&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE">
     <SCRIPT LANGUAGE="JavaScript1.1" SRC="http://netadsrv.iworld.com/js.ng/site=internetcom&PagePos=20&size=468x60&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE&Params.richmedia=yes"> 
     </SCRIPT>
     <NOSCRIPT>
     <A HREF="http://netadsrv.iworld.com/click.ng/site=internetcom&PagePos=20&size=468x60&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE&Params.richmedia=yes"> 
     <IMG SRC=http://netadsrv.iworld.com/image.ng/site=internetcom&PagePos=20&size=468x60&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE&Params.richmedia=yes"> 
     </A> 
     </NOSCRIPT> 
     </IFRAME> 
 <!-- /468x60 ad tag -->

</center>

<p>

<table width="100%" border=0 cellspacing=0 cellpadding=0
bgcolor="#9C0000">
<tr>
<td align="left" nowrap>
<font face="arial,sans-serif,MS Sans Serif, Geneva, Helvetica"
size="-2" color="#FFFFFF">
<span style="color:#FFFFFF">
&nbsp; <a href="#top"><font color="#FFFFFF">Back to top</font></a>
</span></font>
</td>
<td align=right nowrap>
<font face="arial,sans-serif,MS Sans Serif, Geneva, Helvetica"
size="-2" color="#FFFFFF">
<span style="color:#FFFFFF">
updated:
September 06, 2000 22:42:22 
&nbsp;&nbsp;</span></font>
	
</td></tr></table>

<br>

<font face="arial,sans-serif,MS Sans Serif, Geneva, Helvetica"
size="-2">
Copyright &copy; 2000 Internet.com Corp. All rights reserved.<br>
<a href="http://www.internet.com/corporate/legal.html">Legal Info</a>
|
<a href="http://www.internet.com/corporate/privacy/privacypolicy.html">Privacy
Policy</a>
</font>

</body>
</html>

